Why are you running an EOL version of PHP?

Why are you still running an EOL version of PHP?

  • I don't have access to upgrade PHP myself, and the server owner won't do it for me

    Votes: 4 14.8%
  • I can't upgrade because other software I use requires an old version of PHP

    Votes: 12 44.4%
  • I lack the technical know-how to upgrade PHP

    Votes: 4 14.8%
  • I don't consider updating PHP to be particularly important

    Votes: 1 3.7%
  • I’m running PHP 7.latest and that’s fine for me

    Votes: 4 14.8%
  • I’m running PHP 8 🥳

    Votes: 2 7.4%

  • Total voters
    27

Kier

XenForo developer
Staff member
You may have noticed that with the release of XenForo 2.2.5 today, we have started to recommend PHP 8 as the ideal version for XenForo. PHP 8 is a huge step forward from PHP 7 and we'd love to be able to take advantage of it some day.

But our statistics show that there are still large numbers of XenForo licensees running the latest versions of XenForo on ancient versions of PHP like 7.0 - there is even a fairly large contingent still on PHP 5.6.

It's a bit galling to have to make the required version of PHP for XenForo something that was declared End of Life several years ago, so we'd like to know why you're still running an old version, if you are.
 
Last edited:

RobinHood

Well-known member
I'll probably run 8 any fully up to date XF site on it's own. If there's also a wordpress install in tandem though I'll probably be stuck on 7.3 or 7.4 as many plugins aren't fully compatible with 8 yet.
 

briansol

Well-known member
I've yet to be able to upgrade to php8 successfully on my server.

I keep having errors with selecting the proper mpm options that allows things to function correctly in cpanel. They didn't make it easy.
 

Kirby

Well-known member
I'll probably run 8 any fully up to date XF site on it's own. If there's also a wordpress install in tandem though I'll probably be stuck on 7.3 or 7.4 as many plugins aren't fully compatible with 8 yet.
Same here. We currently run all XF2 with PHP 7.4 as quite a few use XPress/XLink with WordPress - WP doesn't seem fully ready for PHP 8 and we are still on XF 2.1 anyway.
Could run new installs on PHP 8.
 

djbaxter

Well-known member
Most of you are missing the point entirely.
You may have noticed that with the release of XenForo 2.2.5 today, we have started to recommend PHP 8 as the ideal version for XenForo. PHP 8 is a huge step forward from PHP 7 and we'd love to be able to take advantage of it some day.

But our statistics show that there are still large numbers of XenForo licensees running the latest versions of XenForo on ancient versions of PHP like 7.0 - there is even a fairly large contingent still on PHP 5.6.

It's a bit galling to have to make the required version of PHP for XenForo something that was declared EOL several years ago, so we'd like to know why you're still running an old version, if you are.
PHP 7.4 is not EOL. But earlier versions of 7.x and 5.6 have been for some time now.

So the question as posed is not why aren't you running PHP 8. It's why are you still running EOL versions of 7.x and 5.x.
 

imno007

Well-known member
So the question should really be "Why are you running EOL versions of PHP"? I'm currently on PHP 7.4. All ready to go with PHP 8, just waiting on a certain XF 3rd party developer to get around to supporting it - they've been saying they were waiting on Xenforo to "officially" add support for it, so maybe now they'll consider this all very official. ;)
 

Mendalla

Well-known member
I am on shared hosting and my host's default was, last I checked, 7.2. I manually switched to 7.4 a while ago using PHP Selector in cPanel but 8 wasn't even an option at that time.
 

Faust

Well-known member
I'm running my forum on 7.4, and on shared hosting as well. I do have option to upgrade to latest php version which is 8.0, but I'm not sure if all addons are compatible with 8.0
 

Lawrence

Well-known member
5.6 was perfection for it's time. To this day, I just can't let it go.

Anyways, 7.4.x on my live sites. 7.4/8.0.x for development.
 
Top